## sfcgal 1.3.9

=== CMakeLists.txt ===
cmake_minimum_required( VERSION 2.8 )
project( SFCGAL )

set( CMAKE_DEBUG_POSTFIX "d" )
set(CMAKE_CXX_STANDARD 14)

#
# Cmake policies
#
if(POLICY CMP0077)
    cmake_policy(SET CMP0077 NEW)
endif()

#----------------------------------------------------------------------------
# build options
#----------------------------------------------------------------------------
# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE AND NOT CMAKE_CONFIGURATION_TYPES)
  message(STATUS "Setting build type to 'Release' as none was specified.")
  set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
  # Set the possible values of build type for cmake-gui
  set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release" "RelWithDebInfo")
endif()

option( SFCGAL_BUILD_EXAMPLES "build examples" OFF )
option( SFCGAL_BUILD_TESTS "build unit, garden and regress tests" OFF )
option( SFCGAL_BUILD_BENCH "Build benchmarks" OFF )

option( SFCGAL_WITH_OSG "Compile with OpenSceneGraph support" OFF )

#-- include finders and co
set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )

set( SFCGAL_VERSION_MAJOR 1 )
set( SFCGAL_VERSION_MINOR 3 )
set( SFCGAL_VERSION_PATCH 8 )

set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )

if (CMAKE_CXX_COMPILER MATCHES ".*clang")
    set(CMAKE_COMPILER_IS_CLANGXX 1)
endif ()

#-----------------------------------------------------------
# dependencies
#-----------------------------------------------------------

#-- find CGAL  ---------------------------------------------
option( CGAL_USE_AUTOLINK "disable CGAL autolink" OFF )
if( ${CGAL_USE_AUTOLINK} )
	add_definitions( "-DCGAL_NO_AUTOLINK" )
endif()

# 4.3 minimal
# 4.13 recommended
find_package( CGAL COMPONENTS Core REQUIRED )
message( STATUS "CGAL ${CGAL_VERSION} found" )

if( "${CGAL_VERSION}" VERSION_GREATER_EQUAL "5.0.0")
add_definitions( "-DCGAL_USE_GMPXX=1" )
endif()

include_directories( ${CMAKE_BINARY_DIR}/include )

# For CGAL versions < 4.3, we add a local directory that contains some tweaked include files from unreleased versions
# They will overwrite files from the CGAL installation
if( "${CGAL_VERSION}" VERSION_LESS "4.3" )
  include_directories( patches/CGAL-4.2 )
elseif( "${CGAL_VERSION}" VERSION_LESS "4.10")
  include_directories( patches/CGAL-4.3 )
  add_definitions( "-DCGAL_INTERSECTION_VERSION=1" )
endif()

#-- BOOST --------------------------------------------------
option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
if( NOT ${Boost_USE_AUTO_LINK} )
	add_definitions( "-DBOOST_ALL_NO_LIB" )
endif()

option( Boost_USE_STATIC_LIBS "boost use dynamic libraries" OFF )
if( Boost_USE_STATIC_LIBS )
	message( STATUS "Boost_USE_STATIC_LIBS=ON" )
	add_definitions( "-DBOOST_THREAD_USE_LIB" )
else()
	message( STATUS "Boost_USE_STATIC_LIBS=OFF" )
#	add_definitions( "-DBOOST_TEST_DYN_LINK" )
	add_definitions( "-DBOOST_ALL_DYN_LINK" )
endif()

option( Boost_USE_MULTITHREAD "boost use multithread libraries" ON )
if( ${Boost_USE_MULTITHREAD} )
	message( STATUS "Boost_USE_MULTITHREAD=ON" )
else()
	message( STATUS "Boost_USE_MULTITHREAD=OFF" )
endif()

#-- minimalist build allowed with boost version older than 1.48
set( SFCGAL_Boost_COMPONENTS thread system serialization )
#-- unit test
if ( SFCGAL_BUILD_TESTS )
	set( SFCGAL_Boost_COMPONENTS unit_test_framework program_options ${SFCGAL_Boost_COMPONENTS} )
endif()
#-- program_options
if ( SFCGAL_BUILD_TESTS OR SFCGAL_BUILD_EXAMPLES OR SFCGAL_BUILD_OSG )
	set( SFCGAL_Boost_COMPONENTS program_options chrono filesystem timer ${SFCGAL_Boost_COMPONENTS} )
endif()
find_package( Boost COMPONENTS ${SFCGAL_Boost_COMPONENTS} REQUIRED )
if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
	message( STATUS "Defining BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
	add_definitions( "-DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
endif()
# patch boost 1.60.0
if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 60) AND (${Boost_SUBMINOR_VERSION} EQUAL 0))
  include_directories( patches/boost-1.60.0 )
endif()

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
  if (NOT MSVC)
    add_definitions( "-fPIC" )
  endif()
endif()

#-- OpenScenegraph -----------------------------------------
if ( SFCGAL_WITH_OSG )
  find_package( OpenSceneGraph COMPONENTS osgDB osgUtil )
  if( ${OPENSCENEGRAPH_FOUND} )
    message( STATUS "OPENSCENEGRAPH_INCLUDE_DIRS = ${OPENSCENEGRAPH_INCLUDE_DIRS}" )
    message( STATUS "OPENSCENEGRAPH_LIBRARIES = ${OPENSCENEGRAPH_LIBRARIES}" )

    include_directories( SYSTEM ${OPENSCENEGRAPH_INCLUDE_DIRS} )
  endif()
endif()

#-- note that SYSTEM turns -I/path to -isystem and avoid warnings in CGAL and Boost
include_directories( SYSTEM
	${CGAL_INCLUDE_DIRS}
	${Boost_INCLUDE_DIRS}
)
link_directories(
	${CGAL_LIBRARY_DIRS}
	${Boost_LIBRARY_DIRS}
)

#-- Warnings, frounding-math and gprof  ------------------------------------------
option( SFCGAL_WARNING_AS_ERROR "fail the build on warnings" OFF )
option( SFCGAL_BUILD_WITH_GPROF "build with gprof" OFF )
if(MSVC)
	# Force to always compile with W4
	if(CMAKE_CXX_FLAGS MATCHES "/W[0-4]")
		string(REGEX REPLACE "/W[0-4]" "/W4" CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS}")
	else()
		set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /W4")
	endif()
elseif(CMAKE_COMPILER_IS_GNUCC OR CMAKE_COMPILER_IS_GNUCXX)
	# Update if necessary
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-long-long -pedantic -Wpointer-arith -Wcast-align -Wcast-qual -Wno-overloaded-virtual -Wformat=2 -Winit-self -Wmissing-include-dirs -Wwrite-strings -Wno-error=undef")#-Wfloat-equal -Wconversion -Wshadow
    if( SFCGAL_WARNING_AS_ERROR )
		 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror -Wno-error=format")
	endif()

	# Allows profiling with gprof
	if(SFCGAL_BUILD_WITH_GPROF)
		set(CMAKE_EXE_LINKER_FLAGS_DEBUG "-pg")
	endif()
endif()


if(NOT DEFINED CMAKE_INSTALL_LIBDIR)
  set(_LIBDIR_DEFAULT "lib")
  # Override this default 'lib' with 'lib64' iff:
  #  - we are on Linux system but NOT cross-compiling
  #  - we are NOT on debian
  #  - we are on a 64 bits system
  # reason is: amd64 ABI: http://www.x86-64.org/documentation/abi.pdf
  # Note that the future of multi-arch handling may be even
  # more complicated than that: http://wiki.debian.org/Multiarch
  if(CMAKE_SYSTEM_NAME MATCHES "Linux"
      AND NOT CMAKE_CROSSCOMPILING
      AND NOT EXISTS "/etc/debian_version")
    if(NOT DEFINED CMAKE_SIZEOF_VOID_P)
      message(AUTHOR_WARNING
        "Unable to determine default CMAKE_INSTALL_LIBDIR directory because no target architecture is known. "
        "Please enable at least one language before including GNUInstallDirs.")
    else()
      if("${CMAKE_SIZEOF_VOID_P}" EQUAL "8")
        set(_LIBDIR_DEFAULT "lib64")
      endif()
    endif()
  endif()
  set(CMAKE_INSTALL_LIBDIR "${_LIBDIR_DEFAULT}" CACHE PATH "object code libraries (${_LIBDIR_DEFAULT})")
endif()

SET(CMAKE_INSTALL_RPATH "${CMAKE_INSTALL_PREFIX}/${CMAKE_INSTALL_LIBDIR}")
SET(CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE)
#SET(CMAKE_MACOSX_RPATH ON)

#-- generate library headers
configure_file( ${CMAKE_SOURCE_DIR}/src/config.h.cmake include/SFCGAL/config.h )
configure_file( ${CMAKE_SOURCE_DIR}/src/version.h.cmake include/SFCGAL/version.h )

enable_testing()

#note : not available on windows without export/import
OPTION( SFCGAL_USE_STATIC_LIBS "define if SFCGAL is build as a static library" OFF )

#-- build the library
add_subdirectory( src )

#-- build test (todo only if boost use dyn link)
add_subdirectory( test )

#-- build examples
if( SFCGAL_BUILD_EXAMPLES )
	add_subdirectory( example )
endif()

#-- doxygen documentation (allows make doc when doxygen is found)
add_subdirectory( doc )

#-- install directories
install(DIRECTORY ${CMAKE_BINARY_DIR}/include DESTINATION .)


#-- sfcgal-config
if ( "${CMAKE_BUILD_TYPE}" STREQUAL "Debug" )
  set( SFCGAL_LIB_NAME "SFCGAL${CMAKE_DEBUG_POSTFIX}" )
else()
  set( SFCGAL_LIB_NAME "SFCGAL" )
endif()
#set( SFCGAL_LIB_NAME ${${CMAKE_BUILD_TYPE}
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sfcgal-config.in ${CMAKE_CURRENT_BINARY_DIR}/sfcgal-config @ONLY)
install( PROGRAMS ${CMAKE_CURRENT_BINARY_DIR}/sfcgal-config DESTINATION bin )

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/sfcgal.pc.in ${CMAKE_CURRENT_BINARY_DIR}/sfcgal.pc @ONLY)
install( FILES ${CMAKE_CURRENT_BINARY_DIR}/sfcgal.pc DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")

=== src/CMakeLists.txt ===
file( GLOB_RECURSE SFCGAL_SOURCES "*.cpp" )
file( GLOB_RECURSE SFCGAL_HEADERS "*.h" )

file( GLOB_RECURSE SFCGAL_HEADERS_COPIED RELATIVE ${CMAKE_SOURCE_DIR}/src "*.h" )
add_custom_target(copy)
foreach (header ${SFCGAL_HEADERS_COPIED})
    add_custom_command(TARGET copy
        COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_SOURCE_DIR}/src/${header} ${CMAKE_BINARY_DIR}/include/SFCGAL/${header} DEPENDS ${CMAKE_SOURCE_DIR}/src/${header})
endforeach()

if (CGAL_VERSION VERSION_GREATER 4.13)
  include_directories(../CGAL_patches)
endif()

set( SFCGAL_OSG_HEADERS
  ${CMAKE_SOURCE_DIR}/src/io/osg.h
  ${CMAKE_SOURCE_DIR}/src/detail/io/OsgFactory.h )
set( SFCGAL_OSG_SOURCES
  ${CMAKE_SOURCE_DIR}/src/io/osg.cpp
  ${CMAKE_SOURCE_DIR}/src/detail/io/OsgFactory.cpp )
message( STATUS "removing OSG dependencies from the library")
list(REMOVE_ITEM SFCGAL_HEADERS ${SFCGAL_OSG_HEADERS})
list(REMOVE_ITEM SFCGAL_SOURCES ${SFCGAL_OSG_SOURCES})

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
  if (NOT MSVC)
    add_definitions( "-fPIC" )
  endif()
  add_library(
    SFCGAL
    ${SFCGAL_HEADERS}
    ${SFCGAL_SOURCES}
    )

else()
  add_definitions( "-DSFCGAL_BUILD_SHARED" )
  add_library(
    SFCGAL SHARED
    ${SFCGAL_HEADERS}
    ${SFCGAL_SOURCES}
    )
endif()

add_dependencies( SFCGAL copy )

# set VERSION and SOVERSION
set_target_properties( SFCGAL PROPERTIES VERSION ${SFCGAL_VERSION}
                                         SOVERSION ${SFCGAL_VERSION_MAJOR} )

target_link_libraries( SFCGAL CGAL::CGAL CGAL::CGAL_Core)

if( "${CGAL_VERSION}" VERSION_GREATER_EQUAL "5.0.0")
target_link_libraries( SFCGAL gmpxx )
endif()

target_link_libraries( SFCGAL ${Boost_LIBRARIES} )

if ( ${Use_precompiled_headers} )
  if(PCHSupport_FOUND)
    # Add "-fPIC" for shared library build
    if( ${SFCGAL_USE_STATIC_LIBS} )
      set( pch_option "" )
    else()
      set( pch_option "-fPIC" )
    endif()
    add_precompiled_header(SFCGAL
      include/CGAL/all.h
      ${pch_option}
      )
  endif()
endif()

# install library
install(
	TARGETS
	SFCGAL
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	BUNDLE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

# SFCGAL-osg
if ( SFCGAL_WITH_OSG )
  if( SFCGAL_USE_STATIC_LIBS )
    add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
    if (NOT MSVC)
      add_definitions( "-fPIC" )
    endif()
    add_library(
      SFCGAL-osg
      ${SFCGAL_OSG_HEADERS}
      ${SFCGAL_OSG_SOURCES}
      )

  else()
    add_definitions( "-DSFCGAL_BUILD_SHARED" )
    add_library(
      SFCGAL-osg SHARED
      ${SFCGAL_OSG_HEADERS}
      ${SFCGAL_OSG_SOURCES}
      )
  endif()
  target_link_libraries( SFCGAL-osg
    SFCGAL
    ${OPENSCENEGRAPH_LIBRARIES}
  )
  set_target_properties( SFCGAL-osg PROPERTIES VERSION ${SFCGAL_VERSION}
                                         SOVERSION ${SFCGAL_VERSION_MAJOR} )
  install(
	TARGETS
	SFCGAL-osg
	RUNTIME DESTINATION bin
	LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
	ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
	BUNDLE DESTINATION ${CMAKE_INSTALL_LIBDIR}
   )
endif()

=== test/CMakeLists.txt ===
#-- configure tests

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
endif()

set( SFCGAL_TEST_DIRECTORY "${CMAKE_SOURCE_DIR}/test" )
configure_file( ${SFCGAL_TEST_DIRECTORY}/test_config.h.cmake ${SFCGAL_TEST_DIRECTORY}/test_config.h )

if(CMAKE_COMPILER_IS_GNUCXX)
  add_definitions( "-frounding-math" )
  
endif(CMAKE_COMPILER_IS_GNUCXX)

#-- build regression tests
if( SFCGAL_BUILD_TESTS )
	add_subdirectory( unit )
	add_subdirectory( regress )
    add_subdirectory( garden )
endif()

if( SFCGAL_BUILD_BENCH )
	add_subdirectory( bench )
endif()

# add a custom rule "check" that adds verbosity to ctest
add_custom_target(check COMMAND ${CMAKE_CTEST_COMMAND} --verbose)

=== example/CGAL-basic_manip/CMakeLists.txt ===
GET_FILENAME_COMPONENT( EXAMPLE_NAME ${CMAKE_CURRENT_SOURCE_DIR} NAME )
add_executable( example-${EXAMPLE_NAME} 
	main.cpp 
)
find_package(Boost REQUIRED COMPONENTS serialization)
target_link_libraries( example-${EXAMPLE_NAME} SFCGAL ${Boost_LIBRARIES})
set_target_properties( example-${EXAMPLE_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS example-${EXAMPLE_NAME} DESTINATION bin )

=== test/regress/convex_hull/CMakeLists.txt ===
#-- polygon_triangulator test

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
endif()

file( GLOB_RECURSE SFCGAL_REGRESS_CONVEX_HULL_TEST_SOURCES *.cpp )

set( REGRESS_NAME test-regress-convex_hull )
add_executable( ${REGRESS_NAME} ${SFCGAL_REGRESS_CONVEX_HULL_TEST_SOURCES} )

find_package(Boost REQUIRED COMPONENTS program_options filesystem serialization)

target_link_libraries( ${REGRESS_NAME} SFCGAL)

target_link_libraries( ${REGRESS_NAME} ${CGAL_3RD_PARTY_LIBRARIES} ${Boost_LIBRARIES})

set_target_properties( ${REGRESS_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS ${REGRESS_NAME} DESTINATION bin )

=== test/regress/standalone/CMakeLists.txt ===
#-- standalone test

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
endif()

file( GLOB_RECURSE SFCGAL_REGRESS_STANDALONE_TEST_SOURCES *.cpp )
add_executable( standalone-regress-test-SFCGAL ${SFCGAL_REGRESS_STANDALONE_TEST_SOURCES} )

find_package(Boost REQUIRED COMPONENTS unit_test_framework filesystem serialization)

target_link_libraries( standalone-regress-test-SFCGAL SFCGAL ${Boost_LIBRARIES})

set_target_properties( standalone-regress-test-SFCGAL PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS standalone-regress-test-SFCGAL DESTINATION bin )

if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
    add_test( standalone-regress-testd ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGALd --auto_start_dbg=y --log_level=all)
else()
    add_test( standalone-regress-test ${CMAKE_CURRENT_BINARY_DIR}/standalone-regress-test-SFCGAL --auto_start_dbg=y --log_level=all)
endif()

=== debian/changelog ===
sfcgal (1.3.9-2) unstable; urgency=medium

  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Add upstream patch to fix FTBFS with CGAL 5.2.
    (closes: #978173)
  * Add patch to disable test failing with CGAL 5.2.
  * Add patch to fix sfcgal_cTest failure.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Dec 2020 08:42:21 +0100

sfcgal (1.3.9-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 03 Oct 2020 06:45:13 +0200

sfcgal (1.3.9-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop CGAL 5.1 patch, included upstream.
  * Don't ignore test failures everywhere, unit-test failure should be fixed.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Oct 2020 15:49:31 +0200

sfcgal (1.3.8-1) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with CGAL 5.1.
    (closes: #971145)
  * Update lintian overrides.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Sep 2020 07:04:47 +0200

sfcgal (1.3.8-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop Name field from upstream metadata.
  * Apply patch by Gianfranco Costamagna to use -02 on armhf & ppc64el too.
    (closes: #949025)
  * Bump Standards-Version to 4.5.0, no changes.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Update packaging for move to GitLab.
  * Refresh patches.
  * Update copyright years for Oslandia & IGN.
  * Ignore test failures everywhere until unit-test failure is fixed.
    https://gitlab.com/Oslandia/SFCGAL/-/issues/231
  * Update symbols for amd64.
  * Add lintian override for spelling-error-in-binary.
  * Include sfcgal.pc in libsfcgal-dev.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 30 Jun 2020 15:38:34 +0200

=== debian/control ===
Source: sfcgal
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Sven Geggus <sven-debian@geggus.net>,
           Bas Couwenberg <sebastic@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10~),
               cmake,
               libcgal-dev (>= 5.0~),
               libboost-all-dev,
               libmpfr-dev,
               libgmp-dev,
               pkg-kde-tools,
               chrpath
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
Homepage: http://www.sfcgal.org/

Package: libsfcgal1
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations
 SFCGAL is a C++ wrapper library around CGAL with the aim of
 supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
 operations.
 .
 SFCGAL provides standard compliant geometry types and operations,
 that can be accessed from its C or C++ APIs. PostGIS uses the C API,
 to expose some SFCGAL's functions in spatial databases (cf. PostGIS
 manual).
 .
 This package provides the shared library.

Package: libsfcgal-dev
Architecture: any
Section: libdevel
Depends: libsfcgal1 (= ${binary:Version}),
         libcgal-dev (>= 4.10.1),
         libgmp-dev,
         ${misc:Depends}
Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations (development)
 SFCGAL is a C++ wrapper library around CGAL with the aim of
 supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
 operations.
 .
 SFCGAL provides standard compliant geometry types and operations,
 that can be accessed from its C or C++ APIs. PostGIS uses the C API,
 to expose some SFCGAL's functions in spatial databases (cf. PostGIS
 manual).
 .
 This package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

DH_VERBOSE = 1

UPSTREAM_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

DEB_BUILD_ARCH     ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_HOST_ARCH      ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# reduce debug info to fix FTBFS on archs with few address space
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armhf mips mipsel ppc64el))
    CMAKECXXFLAGS="-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=' -O2 -g1 -DNDEBUG'"
endif

# main packaging script based on dh7 syntax
%:
	dh $@ --with pkgkde_symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CMAKECXXFLAGS) \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DSFCGAL_BUILD_TESTS=ON

override_dh_auto_test:
ifneq (,$(filter $(DEB_BUILD_ARCH),i386 alpha hurd-i386 kfreebsd-i386 riscv64 sparc64 x32))
	# Skip tests
else ifneq (,$(filter $(DEB_BUILD_ARCH),mips mips64el mipsel))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

override_dh_install:	
	# removing embedded rpath in binaries
	-find $(CURDIR)/debian/tmp/usr/bin -type f -not -name sfcgal-config -exec chrpath --delete {} \;

	# removing embedded rpath in libraries
	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;

	# Remove .la files
	$(RM) $(CURDIR)/debian/tmp/usr/lib/libSFCGAL.la

	# Remove test executables
	$(RM) $(CURDIR)/debian/tmp/usr/bin/*test*

	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS
	
override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

override_dh_strip:
	dh_strip --dbgsym-migration='sfcgal-dbg (<< 1.3.3)'

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://gitlab.com/Oslandia/SFCGAL/-/tags \
(?:.*?/)?(?:rel|v|SFCGAL)[\-\_]?v(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sfcgal 1.4.0

=== debian/changelog ===
sfcgal (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Sep 2021 10:20:03 +0200

sfcgal (1.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Require at least libcgal-dev 5.3.
  * Update copyright file.
  * Drop CGAL 5.3 patch, included upstream.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 15 Sep 2021 06:14:46 +0200

sfcgal (1.3.10-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Add upstream patch to fix FTBFS with CGAL 5.3.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 14 Sep 2021 16:24:01 +0200

sfcgal (1.3.10-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 15 Aug 2021 14:00:39 +0200

sfcgal (1.3.10-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop patches applied upstream.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Apr 2021 07:04:44 +0200

## sfcgal 1.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -28,12 +28,25 @@
 
 option( SFCGAL_WITH_OSG "Compile with OpenSceneGraph support" OFF )
 
+# Configure CCache if available
+if(NOT MSVC)
+  option(USE_CCACHE "Use ccache" ON)
+  if (USE_CCACHE)
+    find_program(CCACHE_FOUND ccache)
+    if(CCACHE_FOUND)
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
+        set_property(GLOBAL PROPERTY RULE_LAUNCH_LINK ccache)
+        message(STATUS "ccache found")
+    endif(CCACHE_FOUND)
+  endif(USE_CCACHE)
+endif(NOT MSVC)
+
 #-- include finders and co
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 3 )
-set( SFCGAL_VERSION_PATCH 8 )
+set( SFCGAL_VERSION_MINOR 4 )
+set( SFCGAL_VERSION_PATCH 1 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
 
@@ -51,25 +64,13 @@
 	add_definitions( "-DCGAL_NO_AUTOLINK" )
 endif()
 
-# 4.3 minimal
-# 4.13 recommended
-find_package( CGAL COMPONENTS Core REQUIRED )
+find_package( CGAL 5.3 COMPONENTS Core REQUIRED )
 message( STATUS "CGAL ${CGAL_VERSION} found" )
 
-if( "${CGAL_VERSION}" VERSION_GREATER_EQUAL "5.0.0")
+# For CGAL >= 5
 add_definitions( "-DCGAL_USE_GMPXX=1" )
-endif()
 
 include_directories( ${CMAKE_BINARY_DIR}/include )
-
-# For CGAL versions < 4.3, we add a local directory that contains some tweaked include files from unreleased versions
-# They will overwrite files from the CGAL installation
-if( "${CGAL_VERSION}" VERSION_LESS "4.3" )
-  include_directories( patches/CGAL-4.2 )
-elseif( "${CGAL_VERSION}" VERSION_LESS "4.10")
-  include_directories( patches/CGAL-4.3 )
-  add_definitions( "-DCGAL_INTERSECTION_VERSION=1" )
-endif()
 
 #-- BOOST --------------------------------------------------
 option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
@@ -108,10 +109,6 @@
 if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 58))
 	message( STATUS "Defining BOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
 	add_definitions( "-DBOOST_VARIANT_USE_RELAXED_GET_BY_DEFAULT" )
-endif()
-# patch boost 1.60.0
-if((${Boost_MAJOR_VERSION} EQUAL 1) AND (${Boost_MINOR_VERSION} EQUAL 60) AND (${Boost_SUBMINOR_VERSION} EQUAL 0))
-  include_directories( patches/boost-1.60.0 )
 endif()
 
 if( SFCGAL_USE_STATIC_LIBS )
@@ -141,6 +138,21 @@
 	${CGAL_LIBRARY_DIRS}
 	${Boost_LIBRARY_DIRS}
 )
+
+#-- Coverage ---------------------------------------------------------------------
+option( SFCGAL_COVERAGE "Generate code coverage report" OFF)
+if( SFCGAL_COVERAGE )
+include(CodeCoverage)
+append_coverage_compiler_flags()
+set(COVERAGE_EXCLUDES
+  '${PROJECT_SOURCE_DIR}/CGAL/*'
+  '${PROJECT_SOURCE_DIR}/test/*')
+setup_target_for_coverage_gcovr_xml(
+     NAME sfcgal_coverage                    # New target name
+     EXECUTABLE ctest -j ${PROCESSOR_COUNT} -R unit-test
+     DEPENDENCIES SFCGAL unit-test-SFCGAL
+     )
+endif()
 
 #-- Warnings, frounding-math and gprof  ------------------------------------------
 option( SFCGAL_WARNING_AS_ERROR "fail the build on warnings" OFF )

=== doc/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile.in ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile @ONLY)

find_package(Doxygen QUIET)
if(DOXYGEN_FOUND)
	add_custom_target(doc ${DOXYGEN_EXECUTABLE} ${CMAKE_CURRENT_SOURCE_DIR}/Doxyfile
		WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
		COMMENT "Generating API documentation with Doxygen" VERBATIM 
	)
endif(DOXYGEN_FOUND)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -7,10 +7,6 @@
     add_custom_command(TARGET copy
         COMMAND ${CMAKE_COMMAND} -E copy_if_different ${CMAKE_SOURCE_DIR}/src/${header} ${CMAKE_BINARY_DIR}/include/SFCGAL/${header} DEPENDS ${CMAKE_SOURCE_DIR}/src/${header})
 endforeach()
-
-if (CGAL_VERSION VERSION_GREATER 4.13)
-  include_directories(../CGAL_patches)
-endif()
 
 set( SFCGAL_OSG_HEADERS
   ${CMAKE_SOURCE_DIR}/src/io/osg.h

=== test/garden/CMakeLists.txt ===
#-- polygon_triangulator test

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
endif()

file( GLOB_RECURSE SFCGAL_REGRESS_GARDEN_TEST_SOURCES *.cpp )

find_package(Boost REQUIRED COMPONENTS program_options serialization)

set( REGRESS_NAME garden-test-SFCGAL )
add_executable( ${REGRESS_NAME} ${SFCGAL_REGRESS_GARDEN_TEST_SOURCES} )

target_link_libraries( ${REGRESS_NAME} SFCGAL)
target_link_libraries( ${REGRESS_NAME} ${CGAL_3RD_PARTY_LIBRARIES} ${Boost_LIBRARIES})

set_target_properties( ${REGRESS_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS ${REGRESS_NAME} DESTINATION bin )

if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
    add_test( garden-testd ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGALd --verbose)
else()
    add_test( garden-test ${CMAKE_CURRENT_BINARY_DIR}/garden-test-SFCGAL --verbose)
endif()

=== test/unit/CMakeLists.txt ===
#-- build unit tests

find_package(Boost REQUIRED COMPONENTS unit_test_framework serialization)

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
endif()

file( GLOB_RECURSE SFCGAL_UNIT_TEST_SOURCES *.cpp )
add_executable( unit-test-SFCGAL ${SFCGAL_UNIT_TEST_SOURCES} )
target_link_libraries( unit-test-SFCGAL SFCGAL)
target_link_libraries(unit-test-SFCGAL ${CGAL_3RD_PARTY_LIBRARIES} ${Boost_LIBRARIES})

set_target_properties( unit-test-SFCGAL PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS unit-test-SFCGAL DESTINATION bin )

if (CMAKE_BUILD_TYPE STREQUAL "Debug" )
    add_test( unit-testd ${CMAKE_CURRENT_BINARY_DIR}/unit-test-SFCGALd --auto_start_dbg=y --log_level=all)
else()
    add_test( unit-test ${CMAKE_CURRENT_BINARY_DIR}/unit-test-SFCGAL --auto_start_dbg=y --log_level=all)
endif()

=== test/regress/polygon_triangulator/CMakeLists.txt ===
#-- polygon_triangulator test

if( SFCGAL_USE_STATIC_LIBS )
  add_definitions( "-DSFCGAL_USE_STATIC_LIBS" )
endif()

file( GLOB_RECURSE SFCGAL_REGRESS_POLYGON_TRIANGULATOR_TEST_SOURCES *.cpp )

set( REGRESS_NAME test-regress-polygon_triangulator )
add_executable( ${REGRESS_NAME} ${SFCGAL_REGRESS_POLYGON_TRIANGULATOR_TEST_SOURCES} )

find_package(Boost REQUIRED COMPONENTS program_options filesystem serialization)

target_link_libraries( ${REGRESS_NAME}	SFCGAL)
target_link_libraries( ${REGRESS_NAME} ${CGAL_3RD_PARTY_LIBRARIES} ${Boost_LIBRARIES})


set_target_properties( ${REGRESS_NAME} PROPERTIES DEBUG_POSTFIX "d" )
install( TARGETS ${REGRESS_NAME} DESTINATION bin )

=== debian/changelog ===
sfcgal (1.4.1-5) unstable; urgency=medium

  * Drop obsolete dh_strip override, dbgsym migration complete.
  * Add Rules-Requires-Root to control file.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 01 Dec 2022 19:14:24 +0100

sfcgal (1.4.1-4) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add upstream patch to fix FTBFS with CGAL 5.4.1.
    (closes: #1013580)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 Jun 2022 12:52:47 +0200

sfcgal (1.4.1-3) unstable; urgency=medium

  * Drop -latomic workaround, fixed in cgal (5.4-2).
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Feb 2022 12:17:04 +0100

sfcgal (1.4.1-3~exp2) experimental; urgency=medium

  * Use LDFLAGS for -latomic and add -Wl,--no-as-needed to CXXFLAGS on mipsel.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 14 Feb 2022 10:02:38 +0100

sfcgal (1.4.1-3~exp1) experimental; urgency=medium

  * Add -latomic to CXXFLAGS on mipsel to workaround #1005696.
  * Update symbols for other architectures.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 17:58:54 +0100

sfcgal (1.4.1-2) unstable; urgency=medium

  * Update watch file to fix tag sorting.
  * Add upstream patch to fix FTBFS with CGAL 5.4.
    (closes: #1005568)
  * Update symbols for other architectures.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 13 Feb 2022 09:08:06 +0100

sfcgal (1.4.1-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 28 Jan 2022 06:58:34 +0100

sfcgal (1.4.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 27 Jan 2022 20:41:46 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 12),
                cmake,
-               libcgal-dev (>= 5.0~),
+               libcgal-dev (>= 5.3),
                libboost-all-dev,
                libmpfr-dev,
                libgmp-dev,
                pkg-kde-tools,
                chrpath
-Standards-Version: 4.5.1
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
+Rules-Requires-Root: no
 
 Package: libsfcgal1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -52,13 +52,10 @@
 	# Remove test executables
 	$(RM) $(CURDIR)/debian/tmp/usr/bin/*test*
 
-	dh_install --list-missing
+	dh_install
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
 	
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)
-
-override_dh_strip:
-	dh_strip --dbgsym-migration='sfcgal-dbg (<< 1.3.3)'

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://gitlab.com/Oslandia/SFCGAL/-/tags?sort=updated_desc \
(?:.*?/)?(?:rel|v|SFCGAL)[\-\_]?v(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sfcgal 1.5.0

=== debian/changelog ===
sfcgal (1.5.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 02 Nov 2023 18:45:09 +0100

sfcgal (1.5.0-1~exp2) experimental; urgency=medium

  * Skip tests on architectures where they time out or fail to link.
  * Update symbols for other architectures.
  * Ignore test failures only on architectures where it does.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Nov 2023 16:45:35 +0100

sfcgal (1.5.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Update lintian overrides.
  * Use execute_before instead of override in rules file.
  * Remove generated files in clean target.
    (closes: #1048430)
  * Enable Salsa CI.
  * Switch to dh-sequence-*.
  * Update copyright file.
  * Drop patches included upstream.
  * Ignore test failures on all architectures.
    https://gitlab.com/sfcgal/SFCGAL/-/issues/263
  * Include architecture.mk instead of calling dpkg-architecture.
  * Update GitLab repo URL.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 31 Oct 2023 20:01:10 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                cmake,
                libcgal-dev (>= 5.3),
                libboost-all-dev,
@@ -12,7 +13,7 @@
                libgmp-dev,
                pkg-kde-tools,
                chrpath
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/pkg-info.mk

DH_VERBOSE = 1

UPSTREAM_VERSION=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# reduce debug info to fix FTBFS on archs with few address space
ifneq (,$(filter $(DEB_HOST_ARCH),arm64 armhf mips mipsel ppc64el))
    CMAKECXXFLAGS="-DCMAKE_CXX_FLAGS_RELWITHDEBINFO=' -O2 -g1 -DNDEBUG'"
endif

# main packaging script based on dh7 syntax
%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
		$(CMAKECXXFLAGS) \
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		-DSFCGAL_BUILD_TESTS=ON

override_dh_auto_test:
ifneq (,$(filter $(DEB_BUILD_ARCH),s390x m68k powerpc ppc64))
	# Skip tests
else ifneq (,$(filter $(DEB_BUILD_ARCH),amd64 arm64 i386 mips64el ppc64el hppa hurd-i386 loong64))
	dh_auto_test || echo "Ignoring test failures"
else
	dh_auto_test
endif

execute_before_dh_install:
	# removing embedded rpath in binaries
	-find $(CURDIR)/debian/tmp/usr/bin -type f -not -name sfcgal-config -exec chrpath --delete {} \;

	# removing embedded rpath in libraries
	-find $(CURDIR)/debian/tmp/usr/lib -name "*.so*" -type f -exec chrpath --delete {} \;

	# Remove test executables
	$(RM) $(CURDIR)/debian/tmp/usr/bin/*test*

override_dh_installchangelogs:
	dh_installchangelogs NEWS
	
override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

## sfcgal 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 project( SFCGAL )
 
 set( CMAKE_DEBUG_POSTFIX "d" )
-set(CMAKE_CXX_STANDARD 14)
+set(CMAKE_CXX_STANDARD 17)
 
 #
 # Cmake policies
@@ -23,7 +23,7 @@
 endif()
 
 option( SFCGAL_BUILD_EXAMPLES "build examples" OFF )
-option( SFCGAL_BUILD_TESTS "build unit, garden and regress tests" OFF )
+option( SFCGAL_BUILD_TESTS "build unit and regress tests" OFF )
 option( SFCGAL_BUILD_BENCH "Build benchmarks" OFF )
 
 option( SFCGAL_WITH_OSG "Compile with OpenSceneGraph support" OFF )
@@ -45,7 +45,7 @@
 set( CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake/Modules;${CMAKE_MODULE_PATH}" )
 
 set( SFCGAL_VERSION_MAJOR 1 )
-set( SFCGAL_VERSION_MINOR 4 )
+set( SFCGAL_VERSION_MINOR 5 )
 set( SFCGAL_VERSION_PATCH 1 )
 
 set( SFCGAL_VERSION "${SFCGAL_VERSION_MAJOR}.${SFCGAL_VERSION_MINOR}.${SFCGAL_VERSION_PATCH}" )
@@ -59,20 +59,25 @@
 #-----------------------------------------------------------
 
 #-- find CGAL  ---------------------------------------------
+if( CGAL_USE_GMPXX )
+	add_definitions( "-DCGAL_USE_GMPXX" )
+endif()
 option( CGAL_USE_AUTOLINK "disable CGAL autolink" OFF )
+
 if( ${CGAL_USE_AUTOLINK} )
 	add_definitions( "-DCGAL_NO_AUTOLINK" )
 endif()
 
-find_package( CGAL 5.3 COMPONENTS Core REQUIRED )
+find_package( CGAL 5.6 COMPONENTS Core REQUIRED )
 message( STATUS "CGAL ${CGAL_VERSION} found" )
 
-# For CGAL >= 5
-add_definitions( "-DCGAL_USE_GMPXX=1" )
-
 include_directories( ${CMAKE_BINARY_DIR}/include )
 
 #-- BOOST --------------------------------------------------
+if( NOT CGAL_USE_GMPXX )
+	add_definitions( "-DCGAL_DO_NOT_USE_BOOST_MP" )
+endif()
+
 option( Boost_USE_AUTO_LINK "boost use autolink" OFF )
 if( NOT ${Boost_USE_AUTO_LINK} )
 	add_definitions( "-DBOOST_ALL_NO_LIB" )

=== debian/changelog ===
sfcgal (1.5.1-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:40:55 +1100

sfcgal (1.5.1-3) unstable; urgency=medium

  * Add dpkg-dev (>= 1.22.5) to build dependencies for t64 changes.
    (closes: #1065297)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 02 Mar 2024 14:00:48 +0100

sfcgal (1.5.1-2) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.
    (closes: #1062893)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 28 Feb 2024 16:28:00 +0100

sfcgal (1.5.1-2~exp1) experimental; urgency=medium

  * Improve t64 changes to match team standards.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 05 Feb 2024 14:32:44 +0100

sfcgal (1.5.1-1.1~exp1) experimental; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.

 -- Sergio Durigan Junior <sergiodj@debian.org>  Sat, 03 Feb 2024 21:52:59 +0000

sfcgal (1.5.1-1) unstable; urgency=medium

  * Skip tests on hppa & sparc64.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Dec 2023 16:08:21 +0100

sfcgal (1.5.1-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Don't ignore test failures on amd64 & i386.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Dec 2023 18:31:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,35 @@
 Source: sfcgal
-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Sven Geggus <sven-debian@geggus.net>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: chrpath,
+               cmake,
+               debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
-               cmake,
+               dpkg-dev (>= 1.22.5),
                libcgal-dev (>= 5.3),
                libboost-all-dev,
                libmpfr-dev,
                libgmp-dev,
-               pkg-kde-tools,
-               chrpath
+               pkg-kde-tools
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
 Rules-Requires-Root: no
 
-Package: libsfcgal1
+Package: libsfcgal1t64
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Provides: ${t64:Provides}
+Breaks: libsfcgal1 (<< ${source:Version})
+Replaces: libsfcgal1
 Description: Library for ISO 19107:2013 and OGC SFA 1.2 for 3D operations
  SFCGAL is a C++ wrapper library around CGAL with the aim of
  supporting ISO 19107:2013 and OGC Simple Features Access 1.2 for 3D
@@ -40,7 +45,7 @@
 Package: libsfcgal-dev
 Architecture: any
 Section: libdevel
-Depends: libsfcgal1 (= ${binary:Version}),
+Depends: libsfcgal1t64 (= ${binary:Version}),
          libcgal-dev (>= 4.10.1),
          libgmp-dev,
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,9 @@
 		-DSFCGAL_BUILD_TESTS=ON
 
 override_dh_auto_test:
-ifneq (,$(filter $(DEB_BUILD_ARCH),s390x m68k powerpc ppc64))
+ifneq (,$(filter $(DEB_BUILD_ARCH),s390x hppa m68k powerpc ppc64 sparc64))
 	# Skip tests
-else ifneq (,$(filter $(DEB_BUILD_ARCH),amd64 arm64 i386 mips64el ppc64el hppa hurd-i386 loong64))
+else ifneq (,$(filter $(DEB_BUILD_ARCH),arm64 mips64el ppc64el hurd-i386 loong64))
 	dh_auto_test || echo "Ignoring test failures"
 else
 	dh_auto_test

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/ \
https://gitlab.com/sfcgal/SFCGAL/-/tags?sort=updated_desc \
(?:.*?/)?(?:rel|v|SFCGAL)[\-\_]?v(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## sfcgal 1.5.2

=== debian/changelog ===
sfcgal (1.5.2-2) unstable; urgency=medium

  [ Bas Couwenberg ]
  * Bump Standards-Version to 4.7.0, no changes.
  * Update lintian overrides.

  [ Christoph Berg ]
  * Cherry-pick upstream patch for CGAL6 support. (closes: #1074382)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 11 Sep 2024 16:42:59 +0200

sfcgal (1.5.2-1) unstable; urgency=medium

  * New upstream release.
  * Update watch file to use searchmode=plain.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 26 Jul 2024 06:29:55 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sfcgal
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Sven Geggus <sven-debian@geggus.net>,
            Bas Couwenberg <sebastic@debian.org>
 Section: science
@@ -15,7 +14,7 @@
                libmpfr-dev,
                libgmp-dev,
                pkg-kde-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/sfcgal
 Vcs-Git: https://salsa.debian.org/debian-gis-team/sfcgal.git
 Homepage: http://www.sfcgal.org/
